// Illustrating flow-insensitive pointer analysis vs flow sensitive null analysis
class C {
    public static void main(String[] args) { 
	D.foo();
    }

}

class D {
    public static void foo() {
	outer:
	for (int i = 0; i <= 10; i++) {
	    for (int j=0; j < 10; j++) {
		if (i < j) continue outer;
	    }
	}
    }
}